Page MenuHomePhabricator

Issues with links in captions of file links in edit summary
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hallo!

I entered

a) [[Image:Melencolia I.jpg|thumb|right|150px|[[commons:Image:MelencoliaI.jpg|commons:]]]]
b) [[Image:T34 85 4.jpg|thumb|right|150px|[[commons:Image:T34 854.jpg|commons:]] [[commons:Category|*]]]]

in the summary field.

However what is generated is:

  • m 00:52 Template talk:4x4 type square/T/A/Melancholia I (diff; hist) . . Gangleri (Talk) (commons:]])
  • m 00:54 Template talk:4x4 type square/T034 (diff; hist) . . Gangleri (Talk) (commons: *]])

Please note the two closing brackets at the end: ]]

enhancement request:

I have seen an interesting solution in "Live Preview" where piped links where
rendered differently.
[[link|pipe]] is / was rendered in the preview what [[link|link|pipe]] would
generate at a normal wiki page.

This would be an easy way to copy and paste *piped links* and *category sort
keys* to the summary field without extra effort. Visitors would see imediatelly
what links are in front of them.

[[Category:Foo|Bar]] could show in "recent changes" and "contributions" as what
[[Category:Foo|Category:Foo|Bar]] would generate at a normal wiki page. Then you
know on what you click without verifying the link with the mouse.

Best regards Reinhardt [[user:gangleri]]


Version: 1.5.x
Severity: enhancement
URL: http://meta.wikimedia.org/wiki/Template_talk:4x4_type_square/T034

Details

Reference
bz2998

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 8:43 PM
bzimport added a project: MediaWiki-Page-Diffs.
bzimport set Reference to bz2998.
bzimport added a subscriber: Unknown Object (MLST).

gangleri wrote:

note on comment 1:
How it works today:

[[Category:4x4 type square|Category:4x4 type square|T022, Template talk:4x4 type
square/T022]]

  • 19:25, July 30, 2005 (hist) (diff) m Template talk:4x4 type square/T022

(T022, Template talk:4x4 type square/T022) (top)

[[Category:4x4 type square|Category:4x4 type square<nowiki>|</nowiki>T024,
Template talk:4x4 type square/T024]]

  • 19:33, July 30, 2005 (hist) (diff) Template talk:4x4 type square/T024

(</nowiki>T024, Template talk:4x4 type square/T024) (top)

Best regards Reinhardt [[user:gangleri]]

Changed component to "RecentChanges"

Krinkle updated the task description. (Show Details)Feb 9 2019, 9:07 PM
Krinkle updated the task description. (Show Details)Feb 9 2019, 9:17 PM
Krinkle closed this task as Resolved.Feb 9 2019, 9:26 PM
Krinkle added a subscriber: Krinkle.
Task description

I entered

a) [[Image:Melencolia I.jpg|thumb|right|150px|[[commons:Image:MelencoliaI.jpg|commons:]]]]
b) [[Image:T34 85 4.jpg|thumb|right|150px|[[commons:Image:T34 854.jpg|commons:]] [[commons:Category|*]]]]

in the summary field.
However what is generated is:

  • m 00:52 Template talk:4x4 type square/T/A/Melancholia I (diff; hist) . . Gangleri (Talk) (commons:]])
  • m 00:54 Template talk:4x4 type square/T034 (diff; hist) . . Gangleri (Talk) (commons: *]])

Please note the two closing brackets at the end: ]]

Current rendering for these two values A and B on the latest MediaWiki branch is:

The issue has been resolved, the label text is no longer ignored or otherwise silently removed. The link itself points to the image page, also correct (red in my case, because I don't have a file by that name). The label does look odd, but that's expected given file syntax isn't supported in edit summaries.